[arch-commits] Commit in epdfview/trunk (PKGBUILD epdfview.desktop.patch)

Thayer Williams thayer at archlinux.org
Sun Apr 5 20:02:11 EDT 2009


    Date: Sunday, April 5, 2009 @ 20:02:11
  Author: thayer
Revision: 33907

upgpkg: epdfview 0.1.7-2
    desktop file fixed

Added:
  epdfview/trunk/epdfview.desktop.patch
Modified:
  epdfview/trunk/PKGBUILD

------------------------+
 PKGBUILD               |   15 +++++++++------
 epdfview.desktop.patch |   11 +++++++++++
 2 files changed, 20 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-05 23:05:30 UTC (rev 33906)
+++ PKGBUILD	2009-04-06 00:02:11 UTC (rev 33907)
@@ -4,7 +4,7 @@
 
 pkgname=epdfview
 pkgver=0.1.7
-pkgrel=1
+pkgrel=2
 pkgdesc="A free lightweight PDF document viewer."
 url="http://www.emma-soft.com/projects/epdfview/"
 arch=('i686' 'x86_64')
@@ -12,17 +12,20 @@
 depends=('poppler-glib>=0.10.0' 'heimdal>=1.2.1-1' 'libcups>=1.3.7-2' 'gnutls>=2.4.1' 'desktop-file-utils' 'hicolor-icon-theme')
 makedepends=('pkgconfig')
 install=epdfview.install
-source=(http://www.emma-soft.com/projects/epdfview/chrome/site/releases/epdfview-${pkgver}.tar.bz2)
-md5sums=('1919bb19c16ef0a97d48b0a8303d3c7b')
+source=(http://www.emma-soft.com/projects/epdfview/chrome/site/releases/epdfview-${pkgver}.tar.bz2
+        epdfview.desktop.patch)
+md5sums=('1919bb19c16ef0a97d48b0a8303d3c7b'
+         'fbf22bbabdbb7544db615ac5775d57e2')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np0 -i ../epdfview.desktop.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1
 
   install -d ${pkgdir}/usr/share/icons/hicolor/{24x24,32x32,48x48}/apps || return 1
-  install -m644 data/icon_epdfview-24.png "${pkgdir}/usr/share/icons/hicolor/24x24/apps/icon_epdfview-24.png" || return 1
-  install -m644 data/icon_epdfview-32.png "${pkgdir}/usr/share/icons/hicolor/32x32/apps/icon_epdfview-32.png" || return 1
-  install -m644 data/icon_epdfview-48.png "${pkgdir}/usr/share/icons/hicolor/48x48/apps/icon_epdfview-48.png" || return 1
+  install -m644 data/icon_epdfview-24.png "${pkgdir}/usr/share/icons/hicolor/24x24/apps/epdfview.png" || return 1
+  install -m644 data/icon_epdfview-32.png "${pkgdir}/usr/share/icons/hicolor/32x32/apps/epdfview.png" || return 1
+  install -m644 data/icon_epdfview-48.png "${pkgdir}/usr/share/icons/hicolor/48x48/apps/epdfview.png" || return 1
 }

Added: epdfview.desktop.patch
===================================================================
--- epdfview.desktop.patch	                        (rev 0)
+++ epdfview.desktop.patch	2009-04-06 00:02:11 UTC (rev 33907)
@@ -0,0 +1,11 @@
+--- data/epdfview.desktop.bak	2009-04-05 16:55:56.000000000 -0700
++++ data/epdfview.desktop	2009-04-05 16:56:33.000000000 -0700
+@@ -7,7 +7,7 @@
+ GenericName=PDF Viewer
+ GenericName[ca]=Visor PDF
+ GenericName[es]=Visor PDF
+-Icon=icon_epdfview-48
++Icon=epdfview
+ Name=ePDFViewer
+ Name[ca]=ePDFViewer
+ Name[es]=ePDFViewer



More information about the arch-commits mailing list